# ARBClearBufferObject (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBClearBufferObject

    java.lang.Object
      org.lwjgl.opengl.ARBClearBufferObject

    public final class ARBClearBufferObject

extends java.lang.Object

Method Summary
`static void` `glClearBufferData(int target, int internalformat, int format, int type, java.nio.ByteBuffer data)`
`static void` `glClearBufferSubData(int target, int internalformat, long offset, long size, int format, int type, java.nio.ByteBuffer data)`
`static void` `glClearNamedBufferDataEXT(int buffer, int internalformat, int format, int type, java.nio.ByteBuffer data)`
`static void` `glClearNamedBufferSubDataEXT(int buffer, int internalformat, long offset, long size, int format, int type, java.nio.ByteBuffer data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### glClearBufferData

    public static void glClearBufferData(int target,
                                         int internalformat,
                                         int format,
                                         int type,
                                         java.nio.ByteBuffer data)

### glClearBufferSubData

    public static void glClearBufferSubData(int target,
                                            int internalformat,
                                            long offset,
                                            long size,
                                            int format,
                                            int type,
                                            java.nio.ByteBuffer data)

### glClearNamedBufferDataEXT

    public static void glClearNamedBufferDataEXT(int buffer,
                                                 int internalformat,
                                                 int format,
                                                 int type,
                                                 java.nio.ByteBuffer data)

### glClearNamedBufferSubDataEXT

    public static void glClearNamedBufferSubDataEXT(int buffer,
                                                    int internalformat,
                                                    long offset,
                                                    long size,
                                                    int format,
                                                    int type,
                                                    java.nio.ByteBuffer data)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.